From f0b8d67fc61ee7e43960c084bce0adc1f88c8c46 Mon Sep 17 00:00:00 2001
From: Mike Palmiotto <mike.palmiotto@crunchydata.com>
Date: Tue, 17 Mar 2020 14:43:52 -0400
Subject: [PATCH 12/12] Move away from argv string comparison

---
 src/backend/postmaster/postmaster.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index 65b8c120b5..67a85c61d0 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -4882,7 +4882,7 @@ SubPostmasterMain(int argc, char *argv[])
 	ConnProcPort = &port;
 
 	/* Close the postmaster's sockets (as soon as we know them) */
-	ClosePostmasterPorts(strcmp(argv[1], "--forklog") == 0);
+	ClosePostmasterPorts(MySubprocessType == SysLoggerType);
 
 	/*
 	 * Set reference point for stack-depth checking
@@ -4927,9 +4927,9 @@ SubPostmasterMain(int argc, char *argv[])
 		PGSharedMemoryNoReAttach();
 
 	/* autovacuum needs this set before calling InitProcess */
-	if (strcmp(argv[1], "--forkavlauncher") == 0)
+	if (MySubprocessType == AutoVacuumLauncherType)
 		AutovacuumLauncherIAm();
-	if (strcmp(argv[1], "--forkavworker") == 0)
+	if (MySubprocessType == AutoVacuumWorkerType)
 		AutovacuumWorkerIAm();
 
 	/*
-- 
2.21.1

